<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 49.10 Quản lý đơn hàng</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.1/css/all.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.1/css/jquery.dataTables.css">
    <script src="https://cdn.datatables.net/1.13.1/js/jquery.dataTables.js"></script>
</head>

<body>
    <div class="container p-2">
        <div class="row form-group">
            <div class="col-sm-12 text-center">
                <h3><b>DANH SÁCH ĐƠN HÀNG</b></h3>
            </div>
        </div>
        <!-- FILTER DATA -->
        <div class="row form-group bg-light p-3 rounded">
            <div class="col-sm-2">
                <label class="col-form-label"><b>Trạng thái Order</b>:</label>
            </div>
            <div class="col-sm-3">
                <select id="select-status" class="form-control">
                    <option value="">Chọn trạng thái order</option>
                    <option value="Open">Open</option>
                    <option value="Confirmed">Confirmed</option>
                    <option value="Cancel">Cancel</option>
                </select>
            </div>
            <div class="col-sm-2">
                <label class="col-form-label"><b>Loại Pizza</b>:</label>
            </div>
            <div class="col-sm-3">
                <select id="select-pizza" class="form-control">
                    <option value="">Chọn loại pizza</option>
                    <option value="Hawaii">Hawaii</option>
                    <option value="Bacon">Bacon</option>
                    <option value="Seafood">Seafood</option>
                </select>
            </div>
            <div class="col-sm-2">
                <button id="btn-filter" class="btn btn-primary w-100"><b>Filter Data</b> &nbsp; <i class="fa-solid fa-filter"></i></button>
            </div>
        </div>
        <!-- END FILTER DATA -->
        <div class="row form-group">
            <div class="col sm 12">
                <button class="btn btn-danger" id="btn-delete">Delete Trash</button>
                <button class="btn btn-success" id="btn-add">Add 100 orders</button>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-12">
                <!-- TABLE ORDER -->
                <table id="order-table" class="table table-bordered table-striped table-hover">
                    <thead>
                        <tr>
                            <th>STT</th>
                            <th>Mã đơn</th>
                            <th>Combo</th>
                            <th>Pizza</th>
                            <th>Drink</th>
                            <th>Thành tiền</th>
                            <th>Họ và tên</th>
                            <th>Điện thoại</th>
                            <th>Trạng thái</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
                <!-- END TABLE ORDER -->
            </div>
        </div>
    </div>
    <!-- MODAL ORDER DETAIL -->
    <div id="modal-order-detail" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Header Modal -->
                <div class="modal-header">
                    <h4>ORDER DETAIL</h4>
                    <a role="button" class="close" data-dismiss="modal">&times;</a>
                </div>
                <!-- Body Modal -->
                <div class="modal-body">
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Mã đơn:</label>
                        <div class="col-md-8">
                            <input id="input-ma-don" class="form-control" readonly readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Kích cỡ:</label>
                        <div class="col-md-8">
                            <input id="input-kich-co" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Đường kính:</label>
                        <div class="col-md-8">
                            <input id="input-duong-kinh" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Sườn:</label>
                        <div class="col-md-8">
                            <input id="input-suon" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Salad:</label>
                        <div class="col-md-8">
                            <input id="input-salad" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Loại Pizza:</label>
                        <div class="col-md-8">
                            <input id="input-loai-pizza" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Voucher:</label>
                        <div class="col-md-8">
                            <input id="input-voucher" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Thành tiền:</label>
                        <div class="col-md-8">
                            <input id="input-thanh-tien" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Giảm giá:</label>
                        <div class="col-md-8">
                            <input id="input-giam-gia" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Nước uống:</label>
                        <div class="col-md-8">
                            <input id="input-drink" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Số lượng nước:</label>
                        <div class="col-md-8">
                            <input id="input-drink-number" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Họ và tên:</label>
                        <div class="col-md-8">
                            <input id="input-fullname" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Email:</label>
                        <div class="col-md-8">
                            <input id="input-email" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Điện thoại:</label>
                        <div class="col-md-8">
                            <input id="input-phone" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Địa chỉ:</label>
                        <div class="col-md-8">
                            <input id="input-address" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Lời nhắn:</label>
                        <div class="col-md-8">
                            <input id="input-message" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Trạng thái:</label>
                        <div class="col-md-8">
                            <input id="input-status" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Ngày tạo:</label>
                        <div class="col-md-8">
                            <input id="input-day-create" class="form-control" readonly>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="col-md-4 col-form-label">Ngày cập nhật:</label>
                        <div class="col-md-8">
                            <input id="input-day-modify" class="form-control" readonly>
                        </div>
                    </div>
                    <hr>
                    <div class="row">
                        <div class="col-6">
                            <button id="btn-confirm" class="btn btn-success w-100">Confirm Order</button>
                        </div>
                        <div class="col-6">
                            <button id="btn-cancel" class="btn btn-danger w-100">Cancel Order</button>
                        </div>
                    </div>
                </div>
                <!-- END Body Modal -->
            </div>
        </div>
    </div>
    <!-- END MODAL ORDER DETAIL -->
    <!-- Modal Confirm Order Success/Fail -->
    <div id="modal-confirm-order" class="modal fade text-center">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                    <h5 class="modal-title">Confirm đơn hàng thành công!</h5>
                </div>
            </div>
        </div>
    </div>
    <!-- END Modal Create Order Success -->
    <!-- Modal Confirm Order Success/Fail -->
    <div id="modal-cancel-order" class="modal fade text-center">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-body">
                    <h5 class="modal-title">Cancel đơn hàng thành công!</h5>
                </div>
            </div>
        </div>
    </div>
    <!-- END Modal Create Order Success -->
</body>

<script src="script.js"></script>

</html>